////////////////////////////////////////////////////////////////////////////////
// common.cc - AWEWavePlayer version 0.3 by Jeroen Witteman
////////////////////////////////////////////////////////////////////////////////
//
// Written by:    Jeroen Witteman
// Email adress:  jwittema@wi.leidenuniv.nl
// WWW Homepage:  http://www.wi.leidenuniv.nl/home/jwittema/
//
// copyright (c) 1998 by Jeroen Witteman, all rights reserved.
// THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
////////////////////////////////////////////////////////////////////////////////

#include "common.h"

////////////////////////////////////////////////////////////////////////////////
// Settings::Settings
// Constructor, initialize settings to defaults.
////////////////////////////////////////////////////////////////////////////////
Settings::Settings() {
  chorus      = CHORUS;
  reverb      = REVERB;
  reverb_mode = REVERB_MODE;
  chorus_mode = CHORUS_MODE;
  bass        = BASS_LEVEL;
  treble      = TREBLE_LEVEL;
  debugmode   = -1;
  volume      = MAIN_VOLUME;
  attenuation = ATTENUATION;
  reset       = false;
} // Settings::Settings

////////////////////////////////////////////////////////////////////////////////
// Time_Stereo_Sample
// Returns the time of a 16 bit 44100 kHz stereo sample of 'size' bytes long in
// tics (100 tics = 1 sec).
////////////////////////////////////////////////////////////////////////////////
int Time_Stereo_Sample(int size) {
  return size * 100 / 2 / 2 / 44100;
  //             ^    ^   ^     ^
  //             |    |   |     + frequency
  //             |    |   + 16 bit
  //        tics +    + stereo
} // Time_Stereo_Sample

////////////////////////////////////////////////////////////////////////////////
// In_Range
// Returns true if the number n is in the range from 'from' to 'to', and false
// if not. (true if: n >= from AND n <= to.)
////////////////////////////////////////////////////////////////////////////////
bool In_Range(int n, int from, int to) {
  return (n >= from && n <= to);
} // In_Range

///////////////////////////////////// EOF //////////////////////////////////////
