////////////////////////////////////////////////////////////////////////////////
// common.h - AWEWavePlayer version 0.3 by Jeroen Witteman
////////////////////////////////////////////////////////////////////////////////
//
// Written by:    Jeroen Witteman
// Email adress:  jwittema@wi.leidenuniv.nl
// WWW Homepage:  http://www.wi.leidenuniv.nl/home/jwittema/
//
// copyright (c) 1998 by Jeroen Witteman, all rights reserved.
// THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
////////////////////////////////////////////////////////////////////////////////

#include "config.h"
#include "version.h"

#ifndef INC_COMMON
#define INC_COMMON

////////////////////////////////////////////////////////////////////////////////
// class Settings
// This contains some global settings
////////////////////////////////////////////////////////////////////////////////
class Settings {
  public:
    Settings();

    int chorus;       // amount of chorus
    int reverb;       // amount of reverb
    int reverb_mode;  // reverb mode
    int chorus_mode;  // chorus mode
    int bass;         // bass level
    int treble;       // treble level
    int debugmode;    // debugmode level
    int volume;       // the main volume
    int attenuation;  // the initial attenuation
    bool reset;       // reset samples
};

enum Printwhat {LoadFirst, LoadRest, Playing, Replacing, DoneReplacing, Unloading, Finished};

// used for specifying what the program is doing
enum Work {Reading,     // reading sample information from standard input
           Waiting,     // waiting to replace a sample
           AllocatingL, // allocating a left channel sample (load empty sample)
           AllocatingR, // allocating a right channel sample (load empty sample)
           LoadingL,    // loading a left channel sample
           LoadingR,    // loading a right channel sample
           ReplacingL,  // replacing a left channel sample
           ReplacingR,  // Replacing a right channel sample
           Done};

int Time_Stereo_Sample(int size);
bool In_Range(int n, int from, int to);

#endif

///////////////////////////////////// EOF //////////////////////////////////////
