////////////////////////////////////////////////////////////////////////////////
// config.h - AWEWavePlayer version 0.3 by Jeroen Witteman
////////////////////////////////////////////////////////////////////////////////
// Config file for AWEWavePlayer
// In this file the default behaviour of AWEWavePlayer can be changed.
// 
// AWEWavePlayer
// Written by:   Jeroen Witteman
// Email adress: jwittema@wi.leidenuniv.nl
// WWW Homepage: http://www.wi.leidenuniv.nl/home/jwittema/awe/awe.html
//
// copyright (c) 1998 by Jeroen Witteman, all rights reserved.
// THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
////////////////////////////////////////////////////////////////////////////////

#include <linux/awe_voice.h>

#ifndef CONFIG_H_DEF
#define CONFIG_H_DEF

// set the default main volume (value between 0 and 127)
#define MAIN_VOLUME 120

// set the initial attenuation. This value is the attenuation volume from
// full scale in 0.375 dB order. For example, a value of 32 means that the
// sound is played 12 dB lower from full scale. 
#define ATTENUATION 8

// set the default bass level of the digital equalizer
#define BASS_LEVEL 6

// set the default treble level of the digital equalizer
#define TREBLE_LEVEL 7

// set the default sample size in bytes (if you want to define a number of
// seconds you can calculate the number of bytes by: seconds * 4 * 44100)
#define SAMPLESIZE 1024000 

// set the default number of samples to use
#define NROFSAMPLES 2

// set the default chorus value
#define CHORUS 0

// set the default reverb value
#define REVERB 0

// Set the default reverb mode and chorus mode
// Possible reverb modes:      Possible chorus modes:
// 0 AWE_REVERB_ROOM1          0 AWE_CHORUS_1         
// 1 AWE_REVERB_ROOM2          1 AWE_CHORUS_2         
// 2 AWE_REVERB_ROOM3          2 AWE_CHORUS_3         
// 3 AWE_REVERB_HALL1          3 AWE_CHORUS_4         
// 4 AWE_REVERB_HALL2          4 AWE_CHORUS_FEEDBACK  
// 5 AWE_REVERB_PLATE          5 AWE_CHORUS_FLANGER   
// 6 AWE_REVERB_DELAY          6 AWE_CHORUS_SHORTDELAY
// 7 AWE_REVERB_PANNINGDELAY   7 AWE_CHORUS_SHORTDELAY2
#define REVERB_MODE AWE_REVERB_HALL2
#define CHORUS_MODE AWE_CHORUS_4

#endif

///////////////////////////////////// EOF //////////////////////////////////////
