////////////////////////////////////////////////////////////////////////////////
// interface.h - AWEWavePlayer version 0.3 by Jeroen Witteman
////////////////////////////////////////////////////////////////////////////////
//
// Written by:    Jeroen Witteman
// Email adress:  jwittema@wi.leidenuniv.nl
// WWW Homepage:  http://www.wi.leidenuniv.nl/home/jwittema/
//
// copyright (c) 1998 by Jeroen Witteman, all rights reserved.
// THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!
////////////////////////////////////////////////////////////////////////////////

#ifndef INC_INTERFACE
#define INC_INTERFACE

#include "common.h"

enum Verbosity {quiet, normal, verbose};
enum InterfaceType {
#ifdef INT_NCURSES
  NCurses,
#endif
  Normal
};

////////////////////////////////////////////////////////////////////////////////
// class Interface
////////////////////////////////////////////////////////////////////////////////
class Interface {
  public:
    Interface();
    void Check_all_arguments();
    void Check_argument(int arg, int from, int to, char* name);
    void Check_enough_memory();
    void Initialize_interface();

    void Interactive_control();
    
    void Print_available_memory();
    void Print_header();
    void Print_settings();
    void Print_settings_box();
    void Print_settings_numbers();
    void Print_settings_text();
    void Print(Printwhat what);
    void Show_work(int i, Work work);
    
    void Update_available_memory();
    void Update_volume();
    void Update_treble();
    void Update_bass();
    
    void Usage(char* command);
    void Close_Interface();

    Verbosity verbosity;
    InterfaceType interfacetype;

  private:
    void Clear_work(int vos, int i);
};

#endif

///////////////////////////////////// EOF //////////////////////////////////////
